<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Дворец бракосочетаний'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_bar-zippo.jpg' /></div></center><dl class='mai2n'><link rel='stylesheet' href='style.css' type='text/css' />";

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(!empty($user)){
if($gconf[0]['open']!=1){

$action=htmlspecialchars(trim($_GET['action']));

switch($action){

default:
$x=mysql_query("SELECT * FROM `gorod_zaks` WHERE `on`='".$user['nick']."' OR `ona`='".$user['nick']."'");
$x=mysql_fetch_assoc($x);

if (($x['date']-3600)>time()){
echo'Предложение от пользователя <font color="red">'.$x['avtor'].'</font><br/>
День свадьбы: <font color="red">'.date("d-m-Y",$x['date']).'</font>!<br/>
Время: <font color="red">'.date("H:i:s",$x['date']).'</font>.<br/>
Прошу не опаздывать!';
}else{

if (($x['date']-3600)<time() && $x['date']>time()){
if (($user['pol']==1 && empty($x['onyes'])) || ($user['pol']!=1 && empty($x['onayes']))){
if($user['pol']==1){
echo'Согласны ли вы расписаться с '.$x['ona'].'?<br/>';
}else{
echo'Согласны ли вы расписаться с '.$x['on'].'?<br/>';
};

echo '<dl class="mai2n">
<dt></dt>
<b>
<a href="zags.php?action=es"><dt>Конечно</dt></a></b>
</TABLE></div>
';

}else{
echo'Здравствуйте, '.$user['nick'].'!<br/>
Сегодня у вас отвественный и особенный день!<br/>
Ожидай вторую половинку.<br/>';

}
}else{


if (!$user['gorod_brak']) {
echo'Мы искрене рада видеть ВАС здесь.<br/>
Здесь вы можете сделать предложение руки и сердца одному из играков<br/>';


echo'<form action="zags.php?action=go" method="post"><br/>';
echo'Кому делаем предложение:<br/>';
echo '<input name="name" type="text" value=""/>';
echo '<input type="submit" value="Сделать!"/>';
echo '</form>';
}else{
echo"<br/>Вы уже сделали предложение или Вы уже женаты(замужем).<br/>";
echo'<br/>Если вы уже сыграли свадьбу то не в коем случае не заходи в 

<dl class="mai2n">
<dt></dt>
<b><a href="razvod.php"><dt><img src="skr/011.png" />Развод</dt></a></b>
</TABLE></div>

Если конечно вы не решили развестись со своей половинкой<br/>';}}}
break;



case 'es':
$x=mysql_query("SELECT * FROM `gorod_zaks` WHERE `on`='".$user['nick']."' OR `ona`='".$user['nick']."'");
if(!mysql_num_rows($x)){echo 'Ну и что ты здесь забыл?';break;};
$x=mysql_fetch_assoc($x);

if($user['pol']==1){
if(!empty($x['onyes'])){echo 'Вы уже согласились!';break;};
mysql_query("UPDATE `gorod_zaks` SET `onyes`='yes' WHERE `id`='".$x['id']."'");
echo 'Ваше соглашение принято! Ожидайте соглашения второй стороны!';
}else{
if(!empty($x['onayes'])){echo 'Вы уже согласились!';break;};
mysql_query("UPDATE `gorod_zaks` SET `onayes`='yes' WHERE `id`='".$x['id']."'");
echo 'Ваше соглашение принято! Ожидайте соглашения второй стороны!';
};


$c=mysql_query("SELECT * FROM `gorod_zaks` WHERE `on`='".$user['nick']."' OR `ona`='".$user['nick']."'");
$c=mysql_fetch_assoc($c);
if(!empty($c['onayes']) && !empty($c['onyes'])){
echo '<br/>Поздравляем! Ваш брак состоялся! Теперь вы муж и жена!';
if($user['pol']==1){
mysql_query("UPDATE `user` SET `gorod_brak`='".$c['ona']."' WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `user` SET `gorod_brak`='".$c['on']."' WHERE `nick`='".$c['ona']."'");
}else{
mysql_query("UPDATE `user` SET `gorod_brak`='".$c['on']."' WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `user` SET `gorod_brak`='".$user['nick']."' WHERE `nick`='".$c['on']."'");
};
mysql_query("DELETE FROM `gorod_zaks` WHERE `on`='".$user['nick']."' OR `ona`='".$user['nick']."'");
};

echo '<dl class="mai2n">
<dt></dt>
<b>
<a href="zags.php"><dt><img src="skr/011.png" />В загс</dt></a></b>
</TABLE></div>
';
break;


case 'go':
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
if(!$name){echo 'Ошибка!';break;};
$x=mysql_query("SELECT * FROM `user` WHERE `nick`='$name'");
if(!mysql_num_rows($x)){echo 'Пользователя не существует!';break;};
$bv=mysql_query("SELECT * FROM `gorod_zaks` WHERE `avtor`='".$user['nick']."'");
if(mysql_num_rows($bv)!=0){echo 'Вы уже ждёте свадьбу!';break;};
$x=mysql_fetch_assoc($x);
if($x['pol']==$user['pol']){echo 'Однополые браки строго запрещены!';break;};
if($x['nick']==$user['nick']){echo 'Ну ты и извращенец, ктож женится сам на себе?';break;};
if($user['pol']==1){
mysql_query("INSERT INTO `gorod_zaks` (`date`,`on`,`ona`,`avtor`)VALUES('".(time()+60*60*24*2)."','".$user['nick']."','$name','".$user['nick']."')");
}else{
mysql_query("INSERT INTO `gorod_zaks` (`date`,`on`,`ona`,`avtor`)VALUES('".(time()+60*60*24*2)."','$name','".$user['nick']."','".$user['nick']."')");
};
$msg='Вам назначена свадьба пользователем '.$user['nick'].'! Приходите '.date("H:i:s, d-m-Y",(time()+60*60*24*2)-3600).' в загс!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `konts` WHERE `id_user` = '".$x['id']."' AND `id_kont` = '".$user['id']."'"), 0)==0)
{
mysql_query("INSERT INTO `konts` (`id_kont`, `id_user`, `time`) values('".$user['id']."', '".$x['id']."', '".time()."')");
}
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('".$user['id']."', '".$x['id']."', '$msg', '".time()."')");
mysql_query("UPDATE `konts` SET `time` = '".time()."' WHERE `id_user` = '".$user['id']."' AND `id_kont` = '".$ank['id']."' OR `id_user` = '".$ank['id']."' AND `id_kont` = '".$user['id']."'");


echo 'Свадьба назначена на '.date("H:i:s, d-m-Y",(time()+60*60*24*2)-3600).'<br/>';
break;









};
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{
echo '<div class="msg">Город закрыт администратором!</div>';
};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>